function menu_load()
	selectedgame = nil
	if #games >= 1 then
		selectedgame = games[1]
	end
	movingtextpos = 0
	gamename = "none"
end

function menu_update(dt)
	movingtextpos = movingtextpos + dt
	if movingtextpos >= 6*string.len(gamename) then
		movingtextpos = movingtextpos - 6*string.len(gamename)
	end
end

function menu_draw()
	drawMovingText()
end

function menu_buttonPressed(button)
	getGame()
end

function menu_buttonReleased(button)
	getGame()
end

function drawMovingText()
	local text = gamename
	minigame.setScissor(2, 2, pixels-2-2, pixels-2-2)
	minigame.print(text, 2-movingtextpos, 2)
	minigame.print(text, 2-movingtextpos+6*string.len(text), 2)
	minigame.setScissor()
end

function getGame()
	local text = currentgame or "none"
	while string.len(text)*6 < pixels/2 do
		text = text .. " "
	end
	gamename = text
end